<script>
	import { onMount } from "svelte";
	import Header from "./components/header/Header.svelte";
	import { Page } from "./page";
	import LoginPage from "./pages/LoginPage.svelte";
	import ProductListPage from "./pages/ProductListPage.svelte";
	import CartOrderPage from "./pages/CartOrderPage.svelte";
	import {
		facebookAuthStore,
		pageSelectedStore,
		showLazyLoading,
		userProfileStore,
	} from "./store";
	import PaymentPage from "./pages/PaymentPage.svelte";
	import RegisterPage from "./pages/RegisterPage.svelte";
	import LazyLoading from "./widgets/LazyLoading.svelte";
	import { verifyUserHasDBAPI } from "./apis/verify-user-has-db";
	import BillOrderPage from "./pages/BillOrderPage.svelte";
	import AddNewAddressPage from "./pages/AddNewAddressPage.svelte";
	import ProductDetail from "./components/product/ProductDetail.svelte";
	import ProductDetailPage from "./pages/ProductDetailPage.svelte";
	import PrintSlipBankPaymentPage from "./pages/PrintSlipBankPaymentPage.svelte";
	import ProfileManagePage from "./pages/ProfileManagePage.svelte";

	onMount(async () => {
		if ($facebookAuthStore && Object.values($facebookAuthStore).length) {
			await verifyUserHasDBAPI($facebookAuthStore.id);
			if ($userProfileStore && Object.values($userProfileStore).length) {
				$pageSelectedStore = Page.MAIN;
			} else {
				$pageSelectedStore = Page.REGISTER;
			}
		} else if (
			$userProfileStore &&
			Object.values($userProfileStore).length
		) {
			await verifyUserHasDBAPI($userProfileStore.userId);
			$pageSelectedStore = Page.MAIN;
		} else {
			$pageSelectedStore = Page.MAIN;
		}
	});
</script>

<LazyLoading isShow={$showLazyLoading} />
<Header />
<div class="flex-col justify-center flex items-start w-full ">
	<div class="flex flex-col w-full pl-0 h-screen">
		{#if $pageSelectedStore == Page.MAIN || $pageSelectedStore == Page.PRODUCTS_LIST}
			<ProductListPage />
		{:else if $pageSelectedStore == Page.LOGIN}
			<LoginPage />
		{:else if $pageSelectedStore == Page.CART}
			<CartOrderPage />
		{:else if $pageSelectedStore == Page.PAYMENT}
			<PaymentPage />
		{:else if $pageSelectedStore == Page.REGISTER}
			<RegisterPage />
		{:else if $pageSelectedStore == Page.BILLORDERS}
			<BillOrderPage />
		{:else if $pageSelectedStore == Page.ADD_NEW_ADDRESS}
			<AddNewAddressPage />
		{:else if $pageSelectedStore == Page.PRODUCT_DETAIL}
			<ProductDetailPage />
		{:else if $pageSelectedStore == Page.PRINT_SLIP_BANK_PAYMENT}
			<PrintSlipBankPaymentPage />
		{:else if $pageSelectedStore == Page.PROFILE_MANAGE}
			<ProfileManagePage />
		{/if}
	</div>
</div>
